javax.jdo.annotations

## Annotation Type Join

-     @Target(value={TYPE,FIELD,METHOD})
       @Retention(value=RUNTIME)
       @Repeatable(value=Joins.class)
      public @interface Join

  Annotation for the join of a relation. Corresponds to the xml element "join".
  Since:
    2.1
  Version:
    3.2

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `column` Name of the column in the join table.
    `Column[]` | `columns` Detail definition of the join column(s).
    `ForeignKeyAction` | `deleteAction` Delete action to be applied to any ForeignKey on this join.
    `Extension[]` | `extensions` Vendor extensions.
    `String` | `foreignKey` Name for a generated foreign key constraint.
    `String` | `generateForeignKey` Generate or assume a foreign key constraint exists on the column or columns associated with this join.
    `String` | `generatePrimaryKey` Generate or assume a primary key constraint exists on the column or columns associated with this join.
    `String` | `index` The name of the index to generate.
    `String` | `indexed` Whether the join column is indexed.
    `String` | `outer` Whether to use an outer join.
    `String` | `primaryKey` Name for a generated primary key constraint.
    `String` | `table` Table to join to (used when joining to secondary tables).
    `String` | `unique` Whether the join column is unique.
    `String` | `uniqueKey` The name of the unique key constraint to generate.

- - ### Element Detail

    - #### table

          public abstract String table

      Table to join to (used when joining to secondary tables).
      Returns:
        the table
      Default:
        ""

  - - #### column

          public abstract String column

      Name of the column in the join table.
      Returns:
        the name of the column in the join table
      Default:
        ""

  - - #### indexed

          public abstract String indexed

      Whether the join column is indexed.
      Returns:
        whether the join column(s) is(are) indexed
      Default:
        ""

  - - #### index

          public abstract String index

      The name of the index to generate.
      Returns:
        the name of the index
      Default:
        ""

  - - #### unique

          public abstract String unique

      Whether the join column is unique.
      Returns:
        whether the join column(s) is(are) is unique
      Default:
        ""

  - - #### uniqueKey

          public abstract String uniqueKey

      The name of the unique key constraint to generate.
      Returns:
        the name of the unique key constraint
      Default:
        ""

  - - #### outer

          public abstract String outer

      Whether to use an outer join.
      Returns:
        whether to use an outer join
      Default:
        ""

  - - #### deleteAction

          public abstract ForeignKeyAction deleteAction

      Delete action to be applied to any ForeignKey on this join.
      Returns:
        the delete action
      Default:
        javax.jdo.annotations.ForeignKeyAction.UNSPECIFIED

  - - #### columns

          public abstract Column[] columns

      Detail definition of the join column(s). This is needed for more than one join column.
      Returns:
        the join columns
      Default:
        {}

  - - #### generatePrimaryKey

          public abstract String generatePrimaryKey

      Generate or assume a primary key constraint exists on the column or columns associated with this join. Specify "true" or "false".
      Returns:
        whether to generate or assume a primary key constraint
      Default:
        ""

  - - #### primaryKey

          public abstract String primaryKey

      Name for a generated primary key constraint.
      Returns:
        the name of the generated primary key constraint
      Default:
        ""

  - - #### generateForeignKey

          public abstract String generateForeignKey

      Generate or assume a foreign key constraint exists on the column or columns associated with this join. Specify "true" or "false".
      Returns:
        whether to generate or assume a foreign key constraint
      Default:
        ""

  - - #### foreignKey

          public abstract String foreignKey

      Name for a generated foreign key constraint.
      Returns:
        the name of the generated foreign key constraint
      Default:
        ""

  - - #### extensions

          public abstract Extension[] extensions

      Vendor extensions.
      Returns:
        the vendor extensions
      Default:
        {}

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.